classification
Title: howto/unicode.rst doctest corrections
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chris.jerdonek, docs@python, orsenthil, python-dev
Priority: normal Keywords: easy, patch

Created on 2012-09-10 09:01 by chris.jerdonek, last changed 2012-09-23 13:03 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue-15899-1.patch chris.jerdonek, 2012-09-10 09:05 review
Messages (8)
msg170167 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-10 09:01
This issue is to fix Doc/howto/unicode.rst so that its doctests pass when using the doctest module.

Patch forthcoming.
msg170168 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-10 09:05
Attaching patch for the default branch.
msg170283 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-09-11 10:14
Thanks!. Verified the patch, it is fine and can be applied directly on
3.2 and 3.3 branch. Tested it as well. On 2.7, some changes would be
required.
msg170284 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-11 10:20
New changeset 8a40bc71c072 by Senthil Kumaran in branch '3.2':
Fix issue #15899: Make the unicode.rst doctests pass. Patch by Chris Jerdonek.
http://hg.python.org/cpython/rev/8a40bc71c072

New changeset 1d9e89f6abec by Senthil Kumaran in branch 'default':
merge.  Fix issue #15899: Make the unicode.rst doctests pass. Patch by Chris Jerdonek.
http://hg.python.org/cpython/rev/1d9e89f6abec
msg170286 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-09-11 10:30
I shall make the changes 2.7, keeping this open for that.
msg170287 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-11 10:50
Thanks, Senthil!
msg170353 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-12 05:17
New changeset 142fbadd0ae1 by Senthil Kumaran in branch '2.7':
Fix issue #15899 -  howto/unicode.rst doctest corrections for 2.7 branch.
http://hg.python.org/cpython/rev/142fbadd0ae1
msg171032 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-23 13:03
New changeset 9c666683e309 by Ezio Melotti in branch '3.2':
#15949, #15899: use \ufffd instead of ?.
http://hg.python.org/cpython/rev/9c666683e309

New changeset 1aebae2f68da by Ezio Melotti in branch 'default':
#15949, #15899: merge with 3.2.
http://hg.python.org/cpython/rev/1aebae2f68da
History
Date User Action Args
2012-09-23 13:03:42python-devsetmessages: + msg171032
2012-09-12 05:19:58orsenthilsetstage: patch review -> resolved
2012-09-12 05:19:45orsenthilsetstatus: open -> closed
resolution: fixed
2012-09-12 05:17:21python-devsetmessages: + msg170353
2012-09-11 10:50:27chris.jerdoneksetmessages: + msg170287
2012-09-11 10:30:11orsenthilsetmessages: + msg170286
2012-09-11 10:20:30python-devsetnosy: + python-dev
messages: + msg170284
2012-09-11 10:14:58orsenthilsetnosy: + orsenthil
messages: + msg170283
2012-09-10 17:20:18chris.jerdoneksetversions: + Python 2.7, Python 3.2
2012-09-10 09:05:32chris.jerdoneksetfiles: + issue-15899-1.patch
keywords: + patch
messages: + msg170168

stage: patch review
2012-09-10 09:01:56chris.jerdonekcreate